This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 162390 - Getting error messages when trying to install Image::Magick for my FC4 AMD64 system
Getting error messages when trying to install Image::Magick for my FC4 AMD64 ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-03 18:37 EDT by Ryan White
Modified: 2008-02-17 15:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-17 15:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan White 2005-07-03 18:37:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I am trying to install Image::Magick for Perl, but getting tons of different errors. Not sure what to do. When I do the 'make' command, after I do the "perl Makefile.PL' command, I get error message pertaining to the magick.xs file. I get an error for about every line in that file. Over 9000:

[root@localhost PerlMagick-6.20]# make
Magick.xs:63:24: error: magick/api.h: No such file or directory
Magick.xs:152: error: syntax error before �MagickRealType�
Magick.xs:152: warning: no semicolon at end of struct or union
Magick.xs:159: error: syntax error before �*� token
Magick.xs:159: warning: type defaults to �int� in declaration of �image_reference�
Magick.xs:159: warning: data definition has no type or storage class

I was having the same problem at work. But then I downloaded the RPM for imagemagick and installed it on my system at work, and then I was able to install Image::Magick for Perl. But at work I use a RH9 on 32bit system. So.....

Right now I just deleted all the ImageMagick RPM's from my at home system (FC4 AMD64) and am trying to re-install the RPMs with this package: ImageMagick-6.2.3-3.x86_64.rpm. But when I do, I get this message:

[root@localhost installers]# rpm -ivh ImageMagick-6.2.3-3.x86_64.rpm
error: Failed dependencies:
libgs.so.8()(64bit) is needed by ImageMagick-6.2.3-3.x86_64

So I guess I don't know what to do. I have been trying to get Image::Magick to work for over a week now, and its been sending me on these journeys that I didn't think I'd have to go on. I found this page:
ftp://ftp.fifi.org/pub/ImageMagick/linux/fedora/x86_64/
I'm not sure which RPM packages I need. I'm not sure if these would even fix the problem. I have no idea what libgs.so.8 is and/or how to get it.

I tried the above RPMs and I am getting the same error messages. This is really frustrating.

Any help? Thanks....

Version-Release number of selected component (if applicable):
ImageMagick-6.2.3-3.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1.  run the command 'rpm -ivh ImageMagick-6.2.3-3.x86_64.rpm'

Actual Results:  I get the error message:

error: Failed dependencies:
libgs.so.8()(64bit) is needed by ImageMagick-6.2.3-3.x86_64

Expected Results:  The RPM should have installed and I then should be able to install Perl::Magick so I can use this with my Perl applications.

Additional info:
Comment 1 Christian Iseli 2007-01-19 20:01:15 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-02-17 15:25:28 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.